<?php
/**
* 404 Page Settings.
*
* @package OTT Vlogger
*/

$ott_vlogger_default = ott_vlogger_get_default_theme_options();

$wp_customize->add_section( 'ott_vlogger_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'ott-vlogger' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'ott_vlogger_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'ott_vlogger_404_main_title',
    array(
        'default'           => $ott_vlogger_default['ott_vlogger_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'ott_vlogger_404_subtitle_one',
    array(
        'default'           => $ott_vlogger_default['ott_vlogger_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'ott_vlogger_404_para_one',
    array(
        'default'           => $ott_vlogger_default['ott_vlogger_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'ott_vlogger_404_subtitle_two',
    array(
        'default'           => $ott_vlogger_default['ott_vlogger_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'ott_vlogger_404_para_two',
    array(
        'default'           => $ott_vlogger_default['ott_vlogger_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_404_page_settings',
        'type'     => 'text',
    )
);